Name: hsflinmodem-utils
Version: 5.03.27mbsibeta02122600
Release: alt1

Summary: Conexant HSF softmodem driver for Linux
License: Conexant
Group: System/Kernel and hardware
Autoreq: yes, noshell

BuildRequires: kernel-source-hsflinmodem-%version

Requires: coreutils findutils gawk grep pciutils procps psmisc sed sh
Requires: util-linux
Provides: hsflinmodem

Patch1: hsflinmodem-path.patch
Patch2: hsflinmodem-cflags.patch
Patch3: hsflinmodem-use-prebuild-alt.patch

%description
Conexant HSF softmodem driver for Linux

%prep
rm -rf kernel-source-hsflinmodem-%{version}
tar -jxvf %{_usrsrc}/kernel/sources/kernel-source-hsflinmodem-%{version}.tar.bz2
%setup -D -T -n kernel-source-hsflinmodem-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%install
make --quiet --no-print-directory \
    ROOT=$RPM_BUILD_ROOT \
    SUBDIRS="inf inf2bin firm2bin scripts" install

%files
%doc BUGS CHANGES CREDITS FAQ INSTALL LICENSE README
%attr(755,root,root) %dir %_sysconfdir/hsf/
%attr(755,root,root) %dir %_sysconfdir/hsf/inf/
%attr(644,root,root) %_sysconfdir/hsf/inf/*
%attr(755,root,root) %_sbindir/*

%changelog
* Sun Sep 28 2003 Sergey Vlasov <vsu@altlinux.ru> 5.03.27mbsibeta02122600-alt1
- Reverted to 5.03.27mbsibeta02122600 (Serial not needed due to version format)

* Sun Aug 24 2003 Albert R. Valiev <darkstar@altlinux.ru> 5.03.27lnxtbeta03042700-alt2
- Fixed configuration script: now it uses precompiled modules support

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt1
- rebuilt.

* Fri Oct 04 2002 Konstantin Volckov <goldhead@linux.ru.net> 5.03.03.L3mbsibeta02093000-alt1
- First build
